summaryrefslogtreecommitdiffstats
path: root/source/d/automake/automake.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/automake/automake.SlackBuild')
-rwxr-xr-xsource/d/automake/automake.SlackBuild7
1 files changed, 4 insertions, 3 deletions
diff --git a/source/d/automake/automake.SlackBuild b/source/d/automake/automake.SlackBuild
index 7f3e3d3c3..058b3b97d 100755
--- a/source/d/automake/automake.SlackBuild
+++ b/source/d/automake/automake.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2012 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2012, 2015 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -29,7 +29,7 @@ BUILD=${BUILD:-1}
# Automatically determine architecture for build & packaging:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
@@ -47,7 +47,8 @@ rm -rf automake-$VERSION
tar xvf $CWD/automake-$VERSION.tar.xz || exit 1
cd automake-$VERSION
-zcat $CWD/automake.perl516.prototype.diff.gz | patch -p1 || exit 1
+# Patch to work with Perl 5.20:
+zcat $CWD/automake-1.15-perl-escape-curly-bracket.patch.gz | patch -p1 --verbose || exit 1
chown -R root:root .
find . \